Bug 183548 - php-devel missing dependencies for autoconf and automake
php-devel missing dependencies for autoconf and automake
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-01 16:40 EST by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-15 11:16:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add "Requires: autoconf, automake" to php.spec (518 bytes, patch)
2006-03-01 16:40 EST, Steven Pritchard
no flags Details | Diff

  None (edit)
Description Steven Pritchard 2006-03-01 16:40:48 EST
Description of problem:
/usr/bin/phpize contains the following:

  phpize_autotools()
  {
    aclocal    || exit 1
    autoconf   || exit 1
    autoheader || exit 1
  }

If any of aclocal, autoconf, or autoheader aren't present, it fails.

Apparently php-devel in rawhide and FC-3 (bug 159283) already Requires autoconf
and automake, so adding those to the next FC4 build (if there is one) would be
appreciated.

Version-Release number of selected component (if applicable):
php-devel-5.0.4-10.5
Comment 1 Steven Pritchard 2006-03-01 16:40:48 EST
Created attachment 125497 [details]
Add "Requires: autoconf, automake" to php.spec
Comment 2 Joe Orton 2006-11-15 11:16:29 EST
This has been added on all the update branches for a while; thanks for the
report and patch.

Note You need to log in before you can comment on or make changes to this bug.